Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class AuthenticatedUserLoginManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  AuthenticatedUserLoginManagerImpl

    public interface class AuthenticatedUserLoginManager

extends java.rmi.Remote

Authenticated User login manager. This interface creates new sessions for the currently authenticated user. The currently authenticated user is obtained from the Subject in the AccessControlContext. This is set by JAAS in an OC4J environment.

(Unpublished)

Method Summary
`NamedValue[]` | `login(NamedValue[] options, AttributeRequest[] userAttributes)` Start a session for the currently authenticated user.

Method Detail

### login

    NamedValue[] login(NamedValue[] options,
                       AttributeRequest[] userAttributes)
                       throws FdkException

  Description copied from interface: `AuthenticatedUserLoginManager`
  Start a session for the currently authenticated user. The current session tracking mechanism is via HTTP session cookies. The client MUST pass back ALL cookies received from the server after this call otherwise the session may be lost.

  Parameters:
    `options` - Options that should be set on the session. NOTE: Currently no options are supported, this argument is ignored and `null` can be safely passed.
    `userAttributes` - Optional attributes on the user item that should be returned. Can be `null`.
  Returns:
    A `NamedValue[]` set of properties that contains the following keys (listed below as defined constants and literal strings):
    `WebServicesConstants.LOGIN_USER ("LOGIN_USER")` - The user item, which includes the requested attributes.
    `WebServicesConstants.SESSION_TIMEOUT ("SESSION_TIMEOUT")` - The session inactivity timeout, in seconds.
    `WebServicesConstants.TRANSACTION_TIMEOUT ("TRANSACTION_TIMEOUT")` - The transaction inactivity timeout, in seconds.
  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD